#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x61f6506f, "vb2_fop_release" },
	{ 0xaf4bb12c, "v4l2_fh_open" },
	{ 0xd0a273ba, "vb2_fop_mmap" },
	{ 0x2945d649, "video_ioctl2" },
	{ 0xe8e6c442, "vb2_fop_poll" },
	{ 0xcc93426c, "vb2_fop_read" },
	{ 0x919f7b7b, "vb2_ops_wait_finish" },
	{ 0xa95db709, "vb2_ops_wait_prepare" },
	{ 0x5e541f7c, "vb2_ioctl_streamoff" },
	{ 0xa724061f, "vb2_ioctl_streamon" },
	{ 0xf66ad02f, "vb2_ioctl_prepare_buf" },
	{ 0xe0a0abc0, "vb2_ioctl_create_bufs" },
	{ 0xc9f3064d, "vb2_ioctl_dqbuf" },
	{ 0x199a235c, "vb2_ioctl_qbuf" },
	{ 0xd09d1db5, "vb2_ioctl_querybuf" },
	{ 0xba1f5e26, "vb2_ioctl_reqbufs" },
	{ 0xcc91614d, "i2c_del_driver" },
	{ 0x287c19b5, "i2c_register_driver" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0x70c2cc47, "__video_register_device" },
	{ 0x3a997a80, "devm_nvmem_register" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x10ff6db4, "__pm_runtime_use_autosuspend" },
	{ 0x2a2e643b, "pm_runtime_set_autosuspend_delay" },
	{ 0xe0ee6e1d, "pm_runtime_enable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcdfcdfcd, "vb2_queue_init" },
	{ 0x1c7f9c9d, "vb2_vmalloc_memops" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc4473999, "v4l2_device_register" },
	{ 0x7bc8c0d8, "__regmap_init_i2c" },
	{ 0x4536a7a5, "device_get_match_data" },
	{ 0xca9a83cc, "dev_fwnode" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xdccdb17, "video_unregister_device" },
	{ 0x807ef972, "__pm_runtime_set_status" },
	{ 0x50bceb8, "__pm_runtime_disable" },
	{ 0xa80c30a0, "wake_up_process" },
	{ 0x6f7a74cc, "kthread_create_on_node" },
	{ 0xaa5e8a5, "__pm_runtime_resume" },
	{ 0x12a38747, "usleep_range" },
	{ 0xf9a482f9, "msleep" },
	{ 0x618228b4, "regmap_write" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x95cd6d75, "freezing_slow_path" },
	{ 0x69e9d181, "current_task" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ed8b599, "__x86_indirect_thunk_r8" },
	{ 0xb3fb6b45, "vb2_plane_vaddr" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xfaad877a, "__pm_runtime_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc894b78f, "kthread_stop" },
	{ 0x5e626f4a, "vb2_buffer_done" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x296924e2, "video_devdata" },
	{ 0x37a0cba, "kfree" },
	{ 0xbaac9c48, "regmap_exit" },
	{ 0x711b7f85, "v4l2_device_unregister" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5d3d68c9, "devm_hwmon_device_register_with_info" },
	{ 0x52078044, "regmap_get_device" },
	{ 0xf979e9c5, "regmap_update_bits_base" },
	{ 0x94910cae, "regmap_bulk_read" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf2-v4l2,videodev,videobuf2-vmalloc,videobuf2-common";

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "19ED487765A48F280398A87");

MODULE_INFO(suserelease, "SLE15-SP2");
