#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x78b1ee15, "mmc_gpio_get_ro" },
	{ 0x5153bd21, "pm_runtime_force_resume" },
	{ 0x7ce54a62, "pm_runtime_force_suspend" },
	{ 0x4050fa09, "platform_driver_unregister" },
	{ 0x484e8c0f, "__platform_driver_register" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x565b0620, "mmc_send_tuning" },
	{ 0x63150e06, "clk_get_parent" },
	{ 0x29931df0, "regulator_enable" },
	{ 0x47e007a5, "regulator_disable" },
	{ 0x4c579925, "mmc_regulator_set_ocr" },
	{ 0x32567e7e, "mmc_can_gpio_cd" },
	{ 0xf712bc67, "mmc_add_host" },
	{ 0xe0ee6e1d, "pm_runtime_enable" },
	{ 0x10ff6db4, "__pm_runtime_use_autosuspend" },
	{ 0x2a2e643b, "pm_runtime_set_autosuspend_delay" },
	{ 0x807ef972, "__pm_runtime_set_status" },
	{ 0xfbbb8e01, "devm_request_threaded_irq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfb578fc5, "memset" },
	{ 0xf38374d3, "dma_alloc_attrs" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xc9603988, "pinctrl_lookup_state" },
	{ 0x6dbe138e, "devm_pinctrl_get" },
	{ 0x5bf06508, "platform_get_irq" },
	{ 0xcb510ae5, "devm_clk_get" },
	{ 0xa488e8e5, "mmc_regulator_get_supply" },
	{ 0x70440e68, "devm_ioremap_resource" },
	{ 0x96002ef6, "platform_get_resource" },
	{ 0x8fd42fa4, "mmc_of_parse" },
	{ 0x3c4b2bed, "mmc_alloc_host" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2033fedc, "mmc_free_host" },
	{ 0xe16ed37a, "dma_free_attrs" },
	{ 0x50bceb8, "__pm_runtime_disable" },
	{ 0xc59ed346, "mmc_remove_host" },
	{ 0xaa5e8a5, "__pm_runtime_resume" },
	{ 0x6da38ba7, "mmc_detect_change" },
	{ 0x28c76c77, "sdio_signal_irq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5850110, "printk" },
	{ 0x87b8798d, "sg_next" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5a2f52c1, "mmc_request_done" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x496c4675, "dma_direct_unmap_sg" },
	{ 0xdf566a59, "__x86_indirect_thunk_r9" },
	{ 0xf2971c1a, "dma_direct_map_sg" },
	{ 0x196bb65e, "dma_ops" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x3775f939, "mmc_gpio_get_cd" },
	{ 0xd3ae3c0c, "pinctrl_select_state" },
	{ 0xe82093aa, "mmc_regulator_set_vqmmc" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x40222594, "_dev_info" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mmc_core";

MODULE_ALIAS("of:N*T*Cmediatek,mt8135-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt8135-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt8173-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt8173-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt8183-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt8183-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt2701-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt2701-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt2712-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt2712-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7622-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt7622-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt8516-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt8516-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7620-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt7620-mmcC*");

MODULE_INFO(srcversion, "AF7F1E670995F4FFC4C9FD3");

MODULE_INFO(suserelease, "SLE15-SP2");
