#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x35517d57, "param_ops_bool" },
	{ 0x618f7553, "ethtool_op_get_ts_info" },
	{ 0x4f7956d1, "usbnet_get_link" },
	{ 0x2cb5a50c, "usbnet_nway_reset" },
	{ 0x25f805b0, "usbnet_set_msglevel" },
	{ 0x94acdbd8, "usbnet_get_msglevel" },
	{ 0xfdd8061d, "usbnet_get_drvinfo" },
	{ 0x3bbbe06c, "usbnet_get_stats64" },
	{ 0xb483e864, "usbnet_tx_timeout" },
	{ 0x1e7985d9, "usbnet_change_mtu" },
	{ 0xf5d8c456, "eth_validate_addr" },
	{ 0x762761, "eth_mac_addr" },
	{ 0x1a005617, "usbnet_start_xmit" },
	{ 0xd01a6e16, "usbnet_stop" },
	{ 0xeb48da2b, "usbnet_open" },
	{ 0x5611b480, "usbnet_disconnect" },
	{ 0xbeddcd85, "usbnet_probe" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb4785108, "usbnet_suspend" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0x72be6744, "usbnet_get_endpoints" },
	{ 0xc5850110, "printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2ca2d1c6, "usbnet_link_change" },
	{ 0xd4b3aa8f, "usb_autopm_get_interface_no_resume" },
	{ 0x61f86ec8, "usb_autopm_put_interface" },
	{ 0x5ec529d, "netdev_info" },
	{ 0xdffe5ee, "usbnet_skb_return" },
	{ 0x1d377440, "skb_trim" },
	{ 0x2fb1221e, "skb_clone" },
	{ 0xf15fedc6, "skb_pull" },
	{ 0x6ce383f8, "usbnet_resume" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x761a14f5, "mii_nway_restart" },
	{ 0xf9a482f9, "msleep" },
	{ 0xab9f4ebd, "usbnet_set_link_ksettings" },
	{ 0xe829a65, "mii_ethtool_gset" },
	{ 0x589bc15, "mii_check_media" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b947a39, "usbnet_read_cmd_nopm" },
	{ 0x9255e1c6, "usbnet_read_cmd" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xc379fc8, "usbnet_write_cmd_nopm" },
	{ 0xd942c59b, "usbnet_write_cmd" },
	{ 0xbd6841d4, "crc16" },
	{ 0xa4c3315, "generic_mii_ioctl" },
	{ 0xb26a2b9b, "device_set_wakeup_enable" },
	{ 0xe67af20f, "usbnet_get_link_ksettings" },
	{ 0x37a0cba, "kfree" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x244789ea, "usbnet_write_cmd_async" },
	{ 0xf05a0d9b, "netdev_warn" },
	{ 0x41bba686, "__dynamic_netdev_dbg" },
	{ 0x121f0f2c, "usbnet_defer_kevent" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x8229fbd0, "__dev_kfree_skb_any" },
	{ 0x6f3da0dc, "pskb_expand_head" },
	{ 0x14168bd1, "skb_push" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii,crc16";

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CB21E37DBD72571C50147E0");

MODULE_INFO(suserelease, "SLE15-SP2");
