#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0xf6575afd, "param_ops_string" },
	{ 0xeb20f639, "param_ops_int" },
	{ 0x3bbbe06c, "usbnet_get_stats64" },
	{ 0xb483e864, "usbnet_tx_timeout" },
	{ 0xf5d8c456, "eth_validate_addr" },
	{ 0x762761, "eth_mac_addr" },
	{ 0x1a005617, "usbnet_start_xmit" },
	{ 0xd01a6e16, "usbnet_stop" },
	{ 0xeb48da2b, "usbnet_open" },
	{ 0xbdbfeae4, "rndis_tx_fixup" },
	{ 0xcf6e7763, "rndis_rx_fixup" },
	{ 0xc199ad38, "rndis_status" },
	{ 0x6ce383f8, "usbnet_resume" },
	{ 0xb4785108, "usbnet_suspend" },
	{ 0x5611b480, "usbnet_disconnect" },
	{ 0xbeddcd85, "usbnet_probe" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0x47817958, "wiphy_register" },
	{ 0xc0bb2f76, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x6e2b99ce, "wiphy_new_nm" },
	{ 0xe61f568d, "netdev_err" },
	{ 0xf61a0f15, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0xd3ec0d76, "netif_carrier_off" },
	{ 0x6bd7e6a, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0xaa5f2699, "cfg80211_roamed" },
	{ 0x269cde1c, "netif_carrier_on" },
	{ 0xfa87b58a, "usbnet_resume_rx" },
	{ 0x3b1f6435, "cfg80211_ibss_joined" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfb71877f, "cfg80211_cqm_rssi_notify" },
	{ 0x3b1c7423, "cfg80211_put_bss" },
	{ 0xf3911a75, "ieee80211_get_channel" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0x37f4cc0, "cfg80211_scan_done" },
	{ 0x9cf606e5, "wiphy_free" },
	{ 0x1f06936f, "wiphy_unregister" },
	{ 0x77b47be, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf05a0d9b, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xb2f7ce23, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x47d8abe7, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x304d7345, "cfg80211_connect_done" },
	{ 0xfa21ff9a, "usbnet_pause_rx" },
	{ 0xf9435672, "cfg80211_michael_mic_failure" },
	{ 0x41bba686, "__dynamic_netdev_dbg" },
	{ 0xe2b6bdd, "cfg80211_pmksa_candidate_notify" },
	{ 0x5ec529d, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "SLE15-SP2");
