#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x98cef50d, "scsi_add_host_with_dma" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x331f9e41, "scsi_host_alloc" },
	{ 0x7648508b, "usb_stor_adjust_quirks" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0xe271f3b3, "usb_unlink_urb" },
	{ 0x838fc5b5, "sdev_prefix_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xece92ab0, "usb_unanchor_urb" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x719f01ea, "usb_submit_urb" },
	{ 0x88cbc96b, "usb_anchor_urb" },
	{ 0x7c503a92, "usb_alloc_urb" },
	{ 0x4566a86e, "blk_queue_max_hw_sectors" },
	{ 0x43a3b128, "blk_queue_update_dma_alignment" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0xbb09c793, "scsi_scan_host" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x4d4111a0, "usb_lock_device_for_reset" },
	{ 0x6b25f816, "scsi_host_put" },
	{ 0xc291bec9, "scsi_remove_host" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x2b0a1102, "usb_kill_urb" },
	{ 0xa8173512, "usb_get_urb" },
	{ 0x653018f2, "scsi_print_command" },
	{ 0x859685a0, "scmd_printk" },
	{ 0xcb2e992, "scsi_report_bus_reset" },
	{ 0x82663a73, "usb_alloc_streams" },
	{ 0xd6efa481, "scsi_change_queue_depth" },
	{ 0x9663d40c, "scsi_is_host_device" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x6179fec, "usb_free_urb" },
	{ 0xc6550bff, "scsi_unblock_requests" },
	{ 0x23ebfd25, "dev_printk" },
	{ 0xb4705d55, "scsi_block_requests" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xabdbbfa6, "usb_reset_device" },
	{ 0x35e804e5, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeb7ddc67, "usb_free_streams" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,scsi_mod,usb-storage";

MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "4F9870555BD741CBCEC675C");

MODULE_INFO(suserelease, "SLE15-SP2");
