#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0x52a578d5, "snd_hda_gen_fixup_micmute_led" },
	{ 0x286caf64, "snd_hda_gen_free" },
	{ 0xb6b59100, "snd_hda_codec_get_pin_target" },
	{ 0x4eb29972, "snd_hda_mixer_amp_volume_put" },
	{ 0x375cacd5, "snd_hda_input_mux_info" },
	{ 0x591a6581, "snd_hda_gen_parse_auto_config" },
	{ 0x5eec9776, "snd_hda_add_verbs" },
	{ 0xac46b76b, "snd_hda_apply_fixup" },
	{ 0x3a6a225, "snd_hda_pick_fixup" },
	{ 0x1a92f106, "snd_hda_mixer_amp_tlv" },
	{ 0x1744b415, "snd_hda_gen_build_pcms" },
	{ 0x9383edc0, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x5cba344d, "snd_hda_gen_update_outputs" },
	{ 0x6d9466a9, "snd_hda_get_path_from_idx" },
	{ 0x9a35ecdb, "snd_hda_mixer_amp_volume_get" },
	{ 0xb0e8442, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x31a3a0bf, "snd_hda_gen_check_power_status" },
	{ 0x8ece2959, "snd_hda_codec_set_pin_target" },
	{ 0x6de37d9c, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x7251a0d8, "snd_hda_gen_add_micmute_led" },
	{ 0xc7872d7c, "snd_hda_activate_path" },
	{ 0xe6532358, "snd_hda_gen_init" },
	{ 0xa7f90d98, "snd_hda_parse_pin_defcfg" },
	{ 0x1050cf8d, "snd_hda_jack_set_gating_jack" },
	{ 0x5a8e454c, "__hda_codec_driver_register" },
	{ 0x54156bfc, "snd_hda_override_amp_caps" },
	{ 0xd5f8b398, "snd_ctl_boolean_mono_info" },
	{ 0x40222594, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x28b61d1e, "_snd_hdac_read_parm" },
	{ 0xf5f0b158, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xf7abc85a, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0xa83a39da, "snd_hda_gen_add_kctl" },
	{ 0x3bd45b0d, "ledtrig_audio_set" },
	{ 0x6bfb1091, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x92eeb08a, "snd_hdac_codec_write" },
	{ 0x136e90bb, "snd_hda_add_new_path" },
	{ 0xe498fa2, "hda_codec_driver_unregister" },
	{ 0xeddbc227, "snd_hda_mixer_amp_switch_info" },
	{ 0x59102644, "snd_hda_gen_spec_init" },
	{ 0x7b4f76a8, "snd_hda_jack_detect_state_mst" },
	{ 0xfdc37b65, "snd_hdac_regmap_read_raw" },
	{ 0x3417f32e, "snd_hda_mixer_amp_volume_info" },
	{ 0xa751f99b, "query_amp_caps" },
	{ 0x74bcae5a, "snd_hda_gen_mic_autoswitch" },
	{ 0x343ffc60, "snd_hda_gen_build_controls" },
	{ 0xf408ed10, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd,ledtrig-audio";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "B7D7A58C9F55F4515792288");

MODULE_INFO(suserelease, "SLE15-SP2");
