#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xeb20f639, "param_ops_int" },
	{ 0x710f5f1e, "snd_pcm_period_elapsed" },
	{ 0x4ca30204, "usb_init_urb" },
	{ 0x2b0a1102, "usb_kill_urb" },
	{ 0x35517d57, "param_ops_bool" },
	{ 0x5a5c0e18, "snd_rawmidi_set_ops" },
	{ 0x72dcc45c, "snd_card_disconnect" },
	{ 0x6a47ab26, "snd_rawmidi_new" },
	{ 0x19f90aef, "input_set_abs_params" },
	{ 0x63de77ac, "input_event" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x29f6f1c7, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0xb44c2781, "usb_string" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x103230a1, "snd_pcm_set_ops" },
	{ 0x35e804e5, "usb_set_interface" },
	{ 0x5c98d710, "snd_pcm_lib_get_vmalloc_page" },
	{ 0x5792f848, "strlcpy" },
	{ 0x7f408d67, "snd_pcm_lib_ioctl" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0xb7cdd780, "snd_card_set_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeed2ae96, "usb_urb_ep_type_check" },
	{ 0xe618116d, "snd_card_new" },
	{ 0x719f01ea, "usb_submit_urb" },
	{ 0x57031a41, "_snd_pcm_lib_alloc_vmalloc_buffer" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xabdbbfa6, "usb_reset_device" },
	{ 0x9f732b50, "input_register_device" },
	{ 0xbed2ed6a, "usb_bulk_msg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xecdc637c, "snd_ctl_new1" },
	{ 0xf5dd7eb9, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0x3cf94a0b, "input_unregister_device" },
	{ 0x54058296, "param_array_ops" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x433cb1ee, "snd_card_free" },
	{ 0x33d3ffed, "snd_card_register" },
	{ 0x44baac48, "snd_pcm_limit_hw_rates" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8a547987, "snd_pcm_new" },
	{ 0xb998dd05, "snd_pcm_lib_free_vmalloc_buffer" },
	{ 0x4e003dfe, "snd_ctl_add" },
	{ 0x528ec482, "snd_rawmidi_transmit" },
	{ 0x6179fec, "usb_free_urb" },
	{ 0x8d87f1c0, "snd_rawmidi_receive" },
	{ 0x7c503a92, "usb_alloc_urb" },
	{ 0x849a77d3, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,usbcore,snd-rawmidi,snd";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F759D6A3FBC8A3314E7EB77");

MODULE_INFO(suserelease, "SLE15-SP2");
