#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0xba8ffc1b, "driver_register" },
	{ 0xeb20f639, "param_ops_int" },
	{ 0x67480317, "dvb_dmx_init" },
	{ 0x2b790307, "dvb_unregister_adapter" },
	{ 0x754d539c, "strlen" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xbd2a0794, "dvb_register_frontend" },
	{ 0x4df2a31d, "dvb_register_device" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x232b373b, "fw_bus_type" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1aa04e7c, "dvb_unregister_frontend" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd86b170e, "dvb_net_release" },
	{ 0xce26ee72, "fw_iso_context_start" },
	{ 0x78a45f27, "fw_iso_context_queue_flush" },
	{ 0x63de77ac, "input_event" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb578fc5, "memset" },
	{ 0xae93416b, "param_ops_short" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x3729fbb, "dvb_dmxdev_release" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0xcfbd982e, "dvb_net_init" },
	{ 0xc552d73c, "driver_unregister" },
	{ 0x85f8b04a, "dvb_generic_release" },
	{ 0xc5664491, "_raw_spin_unlock_irq" },
	{ 0x5a921311, "strncmp" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x19a1543b, "noop_llseek" },
	{ 0x480693fe, "fw_iso_buffer_destroy" },
	{ 0x8749d832, "dvb_unregister_device" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x7b0d51ce, "dvb_dmx_release" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x40222594, "_dev_info" },
	{ 0xa317c4fe, "fw_iso_context_queue" },
	{ 0xd5f2d3bb, "dvb_generic_ioctl" },
	{ 0xdcf60586, "dvb_dmx_swfilter_packets" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9f732b50, "input_register_device" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x58dde2d1, "dvb_generic_open" },
	{ 0x47941711, "_raw_spin_lock_irq" },
	{ 0xf5dd7eb9, "input_free_device" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x162aa316, "fw_core_add_address_handler" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc314a433, "dvb_register_adapter" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x1235ce1, "fw_iso_context_stop" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x13ab49c9, "fw_core_remove_address_handler" },
	{ 0x37a0cba, "kfree" },
	{ 0xae220dd6, "fw_iso_context_create" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3cf94a0b, "input_unregister_device" },
	{ 0x4df02057, "crc32_be" },
	{ 0x54058296, "param_array_ops" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf0827929, "fw_iso_buffer_init" },
	{ 0xbb335ca8, "fw_run_transaction" },
	{ 0x72434e5f, "fw_iso_context_destroy" },
	{ 0x8a514adb, "dvb_dmxdev_init" },
	{ 0x849a77d3, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dvb-core,firewire-core";

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "D0B1DBBD2F0F175A4E157E7");

MODULE_INFO(suserelease, "SLE15-SP2");
