#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0xeb20f639, "param_ops_int" },
	{ 0x2945d649, "video_ioctl2" },
	{ 0x7af14d5e, "v4l2_event_unsubscribe" },
	{ 0x6f094a45, "v4l2_ctrl_subscribe_event" },
	{ 0x1fb5b55f, "v4l2_ctrl_log_status" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0x70c2cc47, "__video_register_device" },
	{ 0x5797857b, "videobuf_queue_vmalloc_init" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x426dd815, "video_device_release_empty" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x9d203f8a, "v4l2_ctrl_new_std" },
	{ 0x6b498d45, "v4l2_ctrl_handler_init_class" },
	{ 0xc4473999, "v4l2_device_register" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0x144917fb, "videobuf_read_one" },
	{ 0x830465c7, "videobuf_streamon" },
	{ 0x4a9e4492, "v4l2_ctrl_handler_setup" },
	{ 0x634323e8, "videobuf_queue_is_busy" },
	{ 0xf0eead62, "v4l2_fh_release" },
	{ 0x5eea23e7, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x41d94a71, "videobuf_mmap_mapper" },
	{ 0x55f3503d, "videobuf_iolock" },
	{ 0x8b2a3d5d, "videobuf_vmalloc_free" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0xee3d4b1e, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xf2c64a38, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0x2199ff28, "videobuf_mmap_free" },
	{ 0x711b7f85, "v4l2_device_unregister" },
	{ 0xc9925df9, "videobuf_poll_stream" },
	{ 0x81671077, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaf4bb12c, "v4l2_fh_open" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0xaa4e157b, "videobuf_reqbufs" },
	{ 0xfd2cb7ee, "videobuf_querybuf" },
	{ 0xa899388, "videobuf_qbuf" },
	{ 0x44b31ec1, "videobuf_dqbuf" },
	{ 0xd30b19d8, "videobuf_streamoff" },
	{ 0x296924e2, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4845871a, "v4l2_device_put" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2c93b454, "v4l2_device_disconnect" },
	{ 0xdccdb17, "video_unregister_device" },
	{ 0x40222594, "_dev_info" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x6179fec, "usb_free_urb" },
	{ 0x2b0a1102, "usb_kill_urb" },
	{ 0x719f01ea, "usb_submit_urb" },
	{ 0x7c503a92, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-vmalloc,videobuf-core";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "880153A8E3BA211D7B95EAF");

MODULE_INFO(suserelease, "SLE15-SP2");
