#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x3bbbe06c, "usbnet_get_stats64" },
	{ 0xb483e864, "usbnet_tx_timeout" },
	{ 0x1e7985d9, "usbnet_change_mtu" },
	{ 0xf5d8c456, "eth_validate_addr" },
	{ 0x762761, "eth_mac_addr" },
	{ 0x1a005617, "usbnet_start_xmit" },
	{ 0xd01a6e16, "usbnet_stop" },
	{ 0xeb48da2b, "usbnet_open" },
	{ 0xab9f4ebd, "usbnet_set_link_ksettings" },
	{ 0xe67af20f, "usbnet_get_link_ksettings" },
	{ 0x2cb5a50c, "usbnet_nway_reset" },
	{ 0x25f805b0, "usbnet_set_msglevel" },
	{ 0x94acdbd8, "usbnet_get_msglevel" },
	{ 0x6ce383f8, "usbnet_resume" },
	{ 0xb4785108, "usbnet_suspend" },
	{ 0x5611b480, "usbnet_disconnect" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0x2ca2d1c6, "usbnet_link_change" },
	{ 0x5eea23e7, "usb_control_msg" },
	{ 0x8229fbd0, "__dev_kfree_skb_any" },
	{ 0x14168bd1, "skb_push" },
	{ 0xcdf8ebc5, "usbnet_status_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x4b46f0fa, "usbnet_status_start" },
	{ 0xbeddcd85, "usbnet_probe" },
	{ 0x24d273d1, "add_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd942c59b, "usbnet_write_cmd" },
	{ 0xe61f568d, "netdev_err" },
	{ 0xdffe5ee, "usbnet_skb_return" },
	{ 0x1d377440, "skb_trim" },
	{ 0x2fb1221e, "skb_clone" },
	{ 0xf15fedc6, "skb_pull" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x9255e1c6, "usbnet_read_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd3ec0d76, "netif_carrier_off" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0x72be6744, "usbnet_get_endpoints" },
	{ 0x5792f848, "strlcpy" },
	{ 0xfdd8061d, "usbnet_get_drvinfo" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "79024F3EC1EE44C7D105361");

MODULE_INFO(suserelease, "SLE15-SP2");
