#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x1092be52, "mt76x02_remove_interface" },
	{ 0xb91fe33b, "__mt76_poll" },
	{ 0x35848e47, "mt76x02_sw_scan" },
	{ 0x96254e61, "mt76x02_conf_tx" },
	{ 0x15f28ed3, "mt76x02_ampdu_action" },
	{ 0xc4b581d9, "mt76u_stop_rx" },
	{ 0x44c2dc0a, "mt76x02u_exit_beacon_config" },
	{ 0x486e7d84, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5e23e239, "mt76u_vendor_request" },
	{ 0x4ceb12e0, "ieee80211_unregister_hw" },
	{ 0xbb836a3, "mt76x02u_init_beacon_config" },
	{ 0xd00abd70, "mt76u_stop_tx" },
	{ 0xadc383f7, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8dba5b22, "mt76x0_mac_start" },
	{ 0x3a64f57a, "mt76x02_bss_info_changed" },
	{ 0xc42e4cab, "mt76x0_init_hardware" },
	{ 0xd2873969, "mt76_sta_state" },
	{ 0x5feb28a9, "mt76x02_set_rts_threshold" },
	{ 0xe9f82606, "mt76x02u_tx_prepare_skb" },
	{ 0x81ec5d9a, "mt76x02u_init_mcu" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0x4cfb8fb4, "mt76u_init" },
	{ 0x762c9b5c, "mt76x02u_mcu_fw_send_data" },
	{ 0x72e78095, "mt76x0_mac_stop" },
	{ 0x86091e0c, "mt76x02_sta_add" },
	{ 0x9b1cc7ca, "mt76x02_tx_status_data" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x6a7143c, "mt76x02_sta_remove" },
	{ 0x9da78380, "mt76x02_tx" },
	{ 0xa692f4ec, "__mt76_poll_msec" },
	{ 0x749edfaf, "mt76x02_sw_scan_complete" },
	{ 0x571a137f, "mt76_set_tim" },
	{ 0xb877155e, "mt76x0_phy_calibrate" },
	{ 0x2cd2545b, "mt76x02u_mcu_fw_reset" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x84112e6, "mt76x0_register_device" },
	{ 0x1f994c89, "mt76x0_config" },
	{ 0x5b7925f4, "ieee80211_queue_delayed_work" },
	{ 0x74b2ef1d, "mt76u_queues_deinit" },
	{ 0x8f9e456a, "mt76x02_queue_rx_skb" },
	{ 0xc3a2bf47, "mt76x0_chip_onoff" },
	{ 0xbb1b27f2, "mt76x02_configure_filter" },
	{ 0x40222594, "_dev_info" },
	{ 0x95f4dd28, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xabdbbfa6, "usb_reset_device" },
	{ 0xe83281b7, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x463bb56a, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0x6c7004d2, "mt76x02_sta_rate_tbl_update" },
	{ 0x45a1f843, "mt76u_resume_rx" },
	{ 0xfe7721df, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0x163bc7d2, "mt76_wake_tx_queue" },
	{ 0x91fe0cfe, "mt76_get_txpower" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0xc7cfa2fd, "request_firmware" },
	{ 0x71289c64, "mt76_release_buffered_frames" },
	{ 0x23832312, "ieee80211_free_hw" },
	{ 0xdfbbabea, "mt76x02_set_key" },
	{ 0xc2236adc, "firmware_request_nowarn" },
	{ 0xb64a4c18, "release_firmware" },
	{ 0x8f1deaff, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "SLE15-SP2");
