#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0x35517d57, "param_ops_bool" },
	{ 0x9661d3, "rt2x00mac_tx_frames_pending" },
	{ 0xe11a7017, "rt2x00mac_get_ringparam" },
	{ 0x469c26b4, "rt2x00mac_get_antenna" },
	{ 0x624215f3, "rt2x00mac_set_antenna" },
	{ 0x624e32a, "rt2x00mac_flush" },
	{ 0x6e7bc690, "rt2x00mac_rfkill_poll" },
	{ 0xedf75e50, "rt2x00mac_conf_tx" },
	{ 0xe15e3600, "rt2x00mac_get_stats" },
	{ 0xb0037135, "rt2x00mac_sw_scan_complete" },
	{ 0xb65457da, "rt2x00mac_sw_scan_start" },
	{ 0x249002e8, "rt2x00mac_set_key" },
	{ 0x7085fdd7, "rt2x00mac_set_tim" },
	{ 0x293c243a, "rt2x00mac_configure_filter" },
	{ 0x5e8bf24a, "rt2x00mac_bss_info_changed" },
	{ 0x4d5cd77d, "rt2x00mac_config" },
	{ 0xd40f10c8, "rt2x00mac_remove_interface" },
	{ 0x5c99ab3f, "rt2x00mac_add_interface" },
	{ 0x5d7367e4, "rt2x00mac_stop" },
	{ 0xecd96bc4, "rt2x00mac_start" },
	{ 0xdfded1f9, "rt2x00mac_tx" },
	{ 0x4d114d38, "rt2x00usb_flush_queue" },
	{ 0x9a68be90, "rt2x00usb_kick_queue" },
	{ 0x8b2423aa, "rt2x00usb_watchdog" },
	{ 0xd21032b8, "rt2x00usb_clear_entry" },
	{ 0x1efc90f0, "rt2x00usb_uninitialize" },
	{ 0x7c050d99, "rt2x00usb_initialize" },
	{ 0x43325b85, "rt2x00usb_resume" },
	{ 0x6309e636, "rt2x00usb_suspend" },
	{ 0xd1383d7f, "rt2x00usb_disconnect" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0x40222594, "_dev_info" },
	{ 0xb525263d, "rt2x00lib_set_mac_address" },
	{ 0x830976e4, "rt2x00usb_vendor_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9ea32f19, "rt2x00usb_disable_radio" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x476a5d03, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc2f9e05f, "consume_skb" },
	{ 0x719f01ea, "usb_submit_urb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x14168bd1, "skb_push" },
	{ 0x1d377440, "skb_trim" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc2cf1512, "rt2x00usb_vendor_request_buff" },
	{ 0xce02728b, "rt2x00usb_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6636E1F71B87380790B02F");

MODULE_INFO(suserelease, "SLE15-SP2");
