#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0xb8387a7f, "ieee80211_rts_duration" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x222432b3, "ieee80211_rx_irqsafe" },
	{ 0x45db3612, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2d30f5f0, "ieee80211_beacon_get_tim" },
	{ 0x4ceb12e0, "ieee80211_unregister_hw" },
	{ 0x8229fbd0, "__dev_kfree_skb_any" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x7a1fb547, "wiphy_rfkill_start_polling" },
	{ 0x934fb839, "skb_unlink" },
	{ 0x1d377440, "skb_trim" },
	{ 0xece92ab0, "usb_unanchor_urb" },
	{ 0x10a803f1, "of_led_classdev_register" },
	{ 0xf53716bf, "__netdev_alloc_skb" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x298d3d81, "usb_deregister" },
	{ 0x4ba66a6e, "ieee80211_alloc_hw_nm" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x5eea23e7, "usb_control_msg" },
	{ 0x5792f848, "strlcpy" },
	{ 0x14168bd1, "skb_push" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x219e1662, "__dev_kfree_skb_irq" },
	{ 0xf15fedc6, "skb_pull" },
	{ 0xa6ff7454, "wiphy_rfkill_stop_polling" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x5b7925f4, "ieee80211_queue_delayed_work" },
	{ 0x619acd27, "skb_queue_tail" },
	{ 0x40222594, "_dev_info" },
	{ 0x719f01ea, "usb_submit_urb" },
	{ 0x4bdf2a02, "__ieee80211_get_rx_led_name" },
	{ 0x95f4dd28, "usb_get_dev" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xabdbbfa6, "usb_reset_device" },
	{ 0xd899c958, "wiphy_rfkill_set_hw_state" },
	{ 0xe83281b7, "usb_put_dev" },
	{ 0x21fd0d81, "ieee80211_tx_status_irqsafe" },
	{ 0x6db1c1c4, "kfree_skb" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xdc0aa65d, "__ieee80211_get_tx_led_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15fdfe01, "kmem_cache_alloc_trace" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xcbde3331, "ieee80211_generic_frame_duration" },
	{ 0x2407751e, "__ieee80211_get_radio_led_name" },
	{ 0x90b8cd1e, "ieee80211_ctstoself_duration" },
	{ 0xdf1b387b, "ieee80211_register_hw" },
	{ 0xe762cc4e, "led_classdev_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x983e9618, "usb_register_driver" },
	{ 0x23832312, "ieee80211_free_hw" },
	{ 0x61151693, "skb_dequeue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x52b45f08, "skb_put" },
	{ 0x6179fec, "usb_free_urb" },
	{ 0x88cbc96b, "usb_anchor_urb" },
	{ 0x7c503a92, "usb_alloc_urb" },
	{ 0x81e9c274, "ieee80211_queue_stopped" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mac80211,eeprom_93cx6,cfg80211,usbcore";

MODULE_ALIAS("usb:v0B05p171Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp705Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8189d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8197d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8198d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0789p010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p6100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p6A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4260d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0pCA02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0028d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0029d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9401d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D1pABE6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6232d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B75p8187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1737p0073d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F89BC343FBD244925CC3EC0");

MODULE_INFO(suserelease, "SLE15-SP2");
