#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0xe40b25f1, "rtl_cam_delete_one_entry" },
	{ 0x7c65335d, "pci_write_config_dword" },
	{ 0x238a015b, "rtl_pci_probe" },
	{ 0x23b08ef0, "rtl_cam_get_free_entry" },
	{ 0x1ed8b599, "__x86_indirect_thunk_r8" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xeb20f639, "param_ops_int" },
	{ 0x27f3ef6, "rtl_ps_disable_nic" },
	{ 0x445a81ce, "boot_cpu_data" },
	{ 0x593de24b, "rtl_get_tcb_desc" },
	{ 0xdf566a59, "__x86_indirect_thunk_r9" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc29957c3, "__x86_indirect_thunk_rcx" },
	{ 0xcd9fe5c7, "rtl_efuse_shadow_map_update" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30a956d7, "rtl_query_rxpwrpercentage" },
	{ 0x35517d57, "param_ops_bool" },
	{ 0x9f36ded9, "rtl_cam_add_one_entry" },
	{ 0x999e8297, "vfree" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5a621a1c, "pv_ops" },
	{ 0xed7c8cf2, "rtl_evm_db_to_percentage" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf53716bf, "__netdev_alloc_skb" },
	{ 0x2c2f5df2, "_rtl_dbg_trace" },
	{ 0x33811b65, "rtl_pci_resume" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0xce73155e, "rtl_ps_enable_nic" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc5850110, "printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2921a4d4, "rtl_btc_status_false" },
	{ 0x1708b71, "dma_direct_map_page" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x244706af, "_rtl_dbg_print_data" },
	{ 0x162e3d87, "rtl_signal_scale_mapping" },
	{ 0xbd83b7e5, "request_firmware_nowait" },
	{ 0x44a67894, "rtl_pci_suspend" },
	{ 0x1d6becc7, "rtlwifi_rate_mapping" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2aa82458, "rtl_pci_disconnect" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xab1c7c61, "rtl_rfreg_delay" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9cb986f2, "vmalloc_base" },
	{ 0x110d939c, "ieee80211_find_sta" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbfdcb43a, "__x86_indirect_thunk_r11" },
	{ 0x720b8c7f, "pci_read_config_dword" },
	{ 0xaae4383, "_rtl_dbg_print" },
	{ 0x6ba30714, "dev_driver_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91f31c77, "pci_unregister_driver" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x60b0c0d6, "rtl_cam_mark_invalid" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbd53999a, "rtl_cam_del_entry" },
	{ 0x57fd2ed8, "rtl_cam_empty_entry" },
	{ 0x521bcf05, "__pci_register_driver" },
	{ 0xdf0d6568, "rtl_cam_reset_all_entry" },
	{ 0x29361773, "complete" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1c4aab4a, "rtl_process_phyinfo" },
	{ 0x52b45f08, "skb_put" },
	{ 0x617487dd, "efuse_read_1byte" },
	{ 0xb64a4c18, "release_firmware" },
	{ 0x196bb65e, "dma_ops" },
	{ 0x1b945315, "rtl_addr_delay" },
	{ 0x80b9990e, "param_ops_ullong" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rtlwifi,rtl_pci,mac80211";

MODULE_ALIAS("pci:v000010ECd00008192sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008171sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008172sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008173sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008174sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9D242EA6498C522AE89ED45");

MODULE_INFO(suserelease, "SLE15-SP2");
