#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x815588a6, "clk_enable" },
	{ 0x62e44cdb, "regmap_raw_write" },
	{ 0x537d7011, "snd_soc_dapm_get_enum_double" },
	{ 0x61cb2719, "regmap_register_patch" },
	{ 0xcc91614d, "i2c_del_driver" },
	{ 0xa73b1d1, "snd_soc_dapm_get_volsw" },
	{ 0xf979e9c5, "regmap_update_bits_base" },
	{ 0x8732bde1, "regcache_cache_bypass" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x94910cae, "regmap_bulk_read" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7beb8484, "device_get_named_child_node" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xd0538340, "snd_soc_component_update_bits" },
	{ 0x9eab319a, "regmap_bulk_write" },
	{ 0x5d31da45, "snd_soc_put_volsw" },
	{ 0x174d65fb, "regmap_read" },
	{ 0xa4c58f96, "fwnode_property_read_string" },
	{ 0x62cb1115, "snd_soc_get_volsw" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x89582c91, "devm_regulator_bulk_get" },
	{ 0x44b20226, "regulator_bulk_enable" },
	{ 0x8db8eb0b, "snd_soc_info_enum_double" },
	{ 0xb21488e8, "snd_soc_put_volsw_range" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0x5efb39c3, "devm_clk_register" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xa3a70c49, "snd_soc_info_volsw_range" },
	{ 0x4fc8835d, "device_property_read_string_array" },
	{ 0x9b82a48a, "snd_soc_dapm_force_bias_level" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xfb147c7, "device_property_read_string" },
	{ 0xcf11c991, "snd_soc_dapm_put_volsw" },
	{ 0xe6b30dbb, "snd_soc_get_volsw_range" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x4820280b, "snd_soc_info_volsw" },
	{ 0x287c19b5, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x5eb2107c, "fwnode_property_read_u32_array" },
	{ 0x7e4f32e0, "snd_soc_get_enum_double" },
	{ 0xc48e60da, "device_property_read_u32_array" },
	{ 0x3a0d1240, "regulator_bulk_disable" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc4adc733, "__devm_regmap_init_i2c" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x994f3bf4, "devm_snd_soc_register_component" },
	{ 0xa692fd30, "regulator_get_voltage" },
	{ 0x964dfff3, "snd_soc_dapm_sync" },
	{ 0x9af35085, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb510ae5, "devm_clk_get" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x26053031, "regcache_mark_dirty" },
	{ 0x2ae8b7b3, "snd_soc_put_enum_double" },
	{ 0x8e5244b8, "snd_soc_dapm_force_enable_pin" },
	{ 0x52c15fd, "snd_soc_dapm_disable_pin" },
	{ 0xa2689c41, "regcache_sync_region" },
	{ 0xde580b57, "regmap_raw_read" },
	{ 0x272b4e9, "clkdev_drop" },
	{ 0x3b47a4d, "clkdev_create" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7137596c, "snd_soc_jack_report" },
	{ 0xc82ed40d, "snd_soc_component_read32" },
	{ 0x2258c75e, "devm_kmalloc" },
	{ 0x618228b4, "regmap_write" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0xfd3cf879, "device_property_present" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x93ccba50, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:DLGS7219:*");
MODULE_ALIAS("i2c:da7219");
MODULE_ALIAS("of:N*T*Cdlg,da7219");
MODULE_ALIAS("of:N*T*Cdlg,da7219C*");

MODULE_INFO(srcversion, "6DA7CFCF5D9593DAAF54ABE");

MODULE_INFO(suserelease, "SLE15-SP2");
