#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x815588a6, "clk_enable" },
	{ 0x537d7011, "snd_soc_dapm_get_enum_double" },
	{ 0xcc91614d, "i2c_del_driver" },
	{ 0xa73b1d1, "snd_soc_dapm_get_volsw" },
	{ 0xf979e9c5, "regmap_update_bits_base" },
	{ 0x7ba75381, "snd_pcm_hw_constraint_msbits" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x2e53e240, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd0538340, "snd_soc_component_update_bits" },
	{ 0x5d31da45, "snd_soc_put_volsw" },
	{ 0x174d65fb, "regmap_read" },
	{ 0x62cb1115, "snd_soc_get_volsw" },
	{ 0x8db8eb0b, "snd_soc_info_enum_double" },
	{ 0x977a0eeb, "acpi_match_device" },
	{ 0x7db83422, "snd_soc_dapm_add_routes" },
	{ 0xb21488e8, "snd_soc_put_volsw_range" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0xcd18c3df, "snd_soc_add_component_controls" },
	{ 0xa3a70c49, "snd_soc_info_volsw_range" },
	{ 0x2bd6be67, "snd_soc_bytes_info" },
	{ 0xcf11c991, "snd_soc_dapm_put_volsw" },
	{ 0xe6b30dbb, "snd_soc_get_volsw_range" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x4820280b, "snd_soc_info_volsw" },
	{ 0x287c19b5, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x40222594, "_dev_info" },
	{ 0x7e4f32e0, "snd_soc_get_enum_double" },
	{ 0xc48e60da, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc4adc733, "__devm_regmap_init_i2c" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf5e5dc96, "pm_wakeup_dev_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x994f3bf4, "devm_snd_soc_register_component" },
	{ 0x9af35085, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb510ae5, "devm_clk_get" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x26053031, "regcache_mark_dirty" },
	{ 0x2ae8b7b3, "snd_soc_put_enum_double" },
	{ 0xde2a2fcf, "snd_soc_bytes_get" },
	{ 0x72d5a918, "snd_soc_bytes_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7137596c, "snd_soc_jack_report" },
	{ 0xc82ed40d, "snd_soc_component_read32" },
	{ 0x2258c75e, "devm_kmalloc" },
	{ 0xfbbb8e01, "devm_request_threaded_irq" },
	{ 0x618228b4, "regmap_write" },
	{ 0x99f5788b, "regcache_sync" },
	{ 0x3107d2a6, "is_acpi_device_node" },
	{ 0xa4391194, "regcache_cache_only" },
	{ 0x93ccba50, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "86BCA25ED4F3414B5F1E60B");

MODULE_INFO(suserelease, "SLE15-SP2");
