#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x601e963f, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x815588a6, "clk_enable" },
	{ 0x537d7011, "snd_soc_dapm_get_enum_double" },
	{ 0x61cb2719, "regmap_register_patch" },
	{ 0xcc91614d, "i2c_del_driver" },
	{ 0xa73b1d1, "snd_soc_dapm_get_volsw" },
	{ 0xf979e9c5, "regmap_update_bits_base" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb0770e39, "gpio_to_desc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x2e53e240, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xd0538340, "snd_soc_component_update_bits" },
	{ 0x5d31da45, "snd_soc_put_volsw" },
	{ 0x174d65fb, "regmap_read" },
	{ 0x62cb1115, "snd_soc_get_volsw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x8db8eb0b, "snd_soc_info_enum_double" },
	{ 0x7db83422, "snd_soc_dapm_add_routes" },
	{ 0x4bad2464, "_dev_warn" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xc5850110, "printk" },
	{ 0xcd18c3df, "snd_soc_add_component_controls" },
	{ 0xac96f612, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0x9b82a48a, "snd_soc_dapm_force_bias_level" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xcf11c991, "snd_soc_dapm_put_volsw" },
	{ 0x6b7cd298, "_dev_err" },
	{ 0x7e1bd8f2, "devm_gpio_request_one" },
	{ 0x4820280b, "snd_soc_info_volsw" },
	{ 0x287c19b5, "i2c_register_driver" },
	{ 0x5e481a3a, "devm_add_action" },
	{ 0x7e4f32e0, "snd_soc_get_enum_double" },
	{ 0xc48e60da, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc4adc733, "__devm_regmap_init_i2c" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x994f3bf4, "devm_snd_soc_register_component" },
	{ 0x9af35085, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb510ae5, "devm_clk_get" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xe3d850c0, "__dynamic_dev_dbg" },
	{ 0x693f0c6f, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x26053031, "regcache_mark_dirty" },
	{ 0x2ae8b7b3, "snd_soc_put_enum_double" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd33b33a0, "snd_soc_dapm_sync_unlocked" },
	{ 0x7f68b24d, "rl6231_pll_calc" },
	{ 0x1410237d, "gpiod_set_raw_value_cansleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7137596c, "snd_soc_jack_report" },
	{ 0xc82ed40d, "snd_soc_component_read32" },
	{ 0x2258c75e, "devm_kmalloc" },
	{ 0xfbbb8e01, "devm_request_threaded_irq" },
	{ 0x618228b4, "regmap_write" },
	{ 0x99f5788b, "regcache_sync" },
	{ 0xa4391194, "regcache_cache_only" },
	{ 0xfd3cf879, "device_property_present" },
	{ 0x93ccba50, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core,snd-soc-rl6231";

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "310E332502F511B42125ECD");

MODULE_INFO(suserelease, "SLE15-SP2");
